[FFmpeg-devel] configure: Add libcaca cppflags in 'configure' to prevent the use of '--extra-cflags'

Submitted by Reino Wijnsma on June 12, 2017, 11:47 p.m.

Details

Message ID 593F280E.6000300@xs4all.nl
State New
Headers show

Commit Message

Reino Wijnsma June 12, 2017, 11:47 p.m.
This patch adds libcaca cppflags in 'configure' to prevent the use of
'--extra-cflags'. This is all that's needed to successfully
cross-compile FFmpeg with Libcaca.
From ba27f7d90c5c3883bd302caf977837d970d46387 Mon Sep 17 00:00:00 2001
From: Reino17 <rwijnsma@xs4all.nl>
Date: Tue, 13 Jun 2017 01:19:07 +0200
Subject: [PATCH] Add libcaca cppflags in 'configure' to prevent the use of
 '--extra-cflags'

---
 configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/configure b/configure
index e3941f9..d96dbf9 100755
--- a/configure
+++ b/configure
@@ -5795,7 +5795,7 @@  enabled libbs2b           && require_pkg_config libbs2b bs2b.h bs2b_open
 enabled libcelt           && require libcelt celt/celt.h celt_decode -lcelt0 &&
                              { check_lib libcelt celt/celt.h celt_decoder_create_custom -lcelt0 ||
                                die "ERROR: libcelt must be installed and version must be >= 0.11.0."; }
-enabled libcaca           && require_pkg_config caca caca.h caca_create_canvas
+enabled libcaca           && require_pkg_config caca caca.h caca_create_canvas -DCACA_STATIC && add_cppflags -DCACA_STATIC
 enabled libdc1394         && require_pkg_config libdc1394-2 dc1394/dc1394.h dc1394_new
 enabled libfdk_aac        && { use_pkg_config fdk-aac "fdk-aac/aacenc_lib.h" aacEncOpen ||
                                { require libfdk_aac fdk-aac/aacenc_lib.h aacEncOpen -lfdk-aac &&